"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLookupRegistry = isLookupRegistry;
const lodash_1 = require("lodash");
function isLookupRegistry(x) {
    if (x !== undefined && x &&
        (0, lodash_1.isFunction)(x['getLookupRegistry']) &&
        (0, lodash_1.isFunction)(x['getEntityRefFor']) &&
        (0, lodash_1.isFunction)(x['getPropertyRefs']) &&
        (0, lodash_1.isFunction)(x['getEntities'])) {
        return true;
    }
    return false;
}
//# sourceMappingURL=ILookupRegistry.js.map