"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validator = exports.DefaultValidator = exports.SchemaUtils = exports.SchemaRef = exports.Binding = exports.RegistryFactory = exports.MetadataRegistry = exports.DefaultPropertyRef = exports.DefaultNamespacedRegistry = exports.DefaultEntityRef = exports.LookupRegistry = exports.JsonSchema7Unserializer = exports.JsonSchema7Serializer = exports.JSON_SCHEMA_7_TYPES = exports.hasClassPropertiesInDefinition = exports.hasClassInDefinition = exports.JsonSchema = exports.DRAFT_07 = exports.DataContainer = exports.ClassRef = exports.AnnotationsHelper = exports.AbstractRegistry = exports.AbstractRef = exports.IsNotEmpty = exports.MaxLength = exports.MinLength = exports.Required = exports.Regex = exports.MAIL_REGEX = exports.IsEmail = exports.IP6_REGEX = exports.Ip6 = exports.IP4_REGEX = exports.Ip4 = exports.HOSTNAME_RFC952_REGEX = exports.HOSTNAME_RFC1034_REGEX = exports.Hostname = exports.Namespace = exports.Schema = exports.PropertyOf = exports.Embeddable = exports.Property = exports.Entity = exports.supportsJsonSchemaImport = exports.supportsJsonSchema = exports.supportsJsonSchemaExport = exports.isPropertyRef = exports.isLookupRegistry = exports.isEntityRef = exports.isClassRef = void 0;
exports.getClassName = void 0;
var IClassRef_1 = require("./api/IClassRef");
Object.defineProperty(exports, "isClassRef", { enumerable: true, get: function () { return IClassRef_1.isClassRef; } });
var IEntityRef_1 = require("./api/IEntityRef");
Object.defineProperty(exports, "isEntityRef", { enumerable: true, get: function () { return IEntityRef_1.isEntityRef; } });
var ILookupRegistry_1 = require("./api/ILookupRegistry");
Object.defineProperty(exports, "isLookupRegistry", { enumerable: true, get: function () { return ILookupRegistry_1.isLookupRegistry; } });
var IPropertyRef_1 = require("./api/IPropertyRef");
Object.defineProperty(exports, "isPropertyRef", { enumerable: true, get: function () { return IPropertyRef_1.isPropertyRef; } });
var IJsonSchema_1 = require("./api/IJsonSchema");
Object.defineProperty(exports, "supportsJsonSchemaExport", { enumerable: true, get: function () { return IJsonSchema_1.supportsJsonSchemaExport; } });
Object.defineProperty(exports, "supportsJsonSchema", { enumerable: true, get: function () { return IJsonSchema_1.supportsJsonSchema; } });
Object.defineProperty(exports, "supportsJsonSchemaImport", { enumerable: true, get: function () { return IJsonSchema_1.supportsJsonSchemaImport; } });
var Entity_1 = require("./decorators/Entity");
Object.defineProperty(exports, "Entity", { enumerable: true, get: function () { return Entity_1.Entity; } });
var Property_1 = require("./decorators/Property");
Object.defineProperty(exports, "Property", { enumerable: true, get: function () { return Property_1.Property; } });
var Embeddable_1 = require("./decorators/Embeddable");
Object.defineProperty(exports, "Embeddable", { enumerable: true, get: function () { return Embeddable_1.Embeddable; } });
var PropertyOf_1 = require("./decorators/PropertyOf");
Object.defineProperty(exports, "PropertyOf", { enumerable: true, get: function () { return PropertyOf_1.PropertyOf; } });
var Schema_1 = require("./decorators/Schema");
Object.defineProperty(exports, "Schema", { enumerable: true, get: function () { return Schema_1.Schema; } });
var Namespace_1 = require("./decorators/Namespace");
Object.defineProperty(exports, "Namespace", { enumerable: true, get: function () { return Namespace_1.Namespace; } });
var Hostname_1 = require("./decorators/validate/Hostname");
Object.defineProperty(exports, "Hostname", { enumerable: true, get: function () { return Hostname_1.Hostname; } });
Object.defineProperty(exports, "HOSTNAME_RFC1034_REGEX", { enumerable: true, get: function () { return Hostname_1.HOSTNAME_RFC1034_REGEX; } });
Object.defineProperty(exports, "HOSTNAME_RFC952_REGEX", { enumerable: true, get: function () { return Hostname_1.HOSTNAME_RFC952_REGEX; } });
var Ip4_1 = require("./decorators/validate/Ip4");
Object.defineProperty(exports, "Ip4", { enumerable: true, get: function () { return Ip4_1.Ip4; } });
Object.defineProperty(exports, "IP4_REGEX", { enumerable: true, get: function () { return Ip4_1.IP4_REGEX; } });
var Ip6_1 = require("./decorators/validate/Ip6");
Object.defineProperty(exports, "Ip6", { enumerable: true, get: function () { return Ip6_1.Ip6; } });
Object.defineProperty(exports, "IP6_REGEX", { enumerable: true, get: function () { return Ip6_1.IP6_REGEX; } });
var IsEmail_1 = require("./decorators/validate/IsEmail");
Object.defineProperty(exports, "IsEmail", { enumerable: true, get: function () { return IsEmail_1.IsEmail; } });
Object.defineProperty(exports, "MAIL_REGEX", { enumerable: true, get: function () { return IsEmail_1.MAIL_REGEX; } });
var Regex_1 = require("./decorators/validate/Regex");
Object.defineProperty(exports, "Regex", { enumerable: true, get: function () { return Regex_1.Regex; } });
var Required_1 = require("./decorators/validate/Required");
Object.defineProperty(exports, "Required", { enumerable: true, get: function () { return Required_1.Required; } });
var MinLength_1 = require("./decorators/validate/MinLength");
Object.defineProperty(exports, "MinLength", { enumerable: true, get: function () { return MinLength_1.MinLength; } });
var MaxLength_1 = require("./decorators/validate/MaxLength");
Object.defineProperty(exports, "MaxLength", { enumerable: true, get: function () { return MaxLength_1.MaxLength; } });
var IsNotEmpty_1 = require("./decorators/validate/IsNotEmpty");
Object.defineProperty(exports, "IsNotEmpty", { enumerable: true, get: function () { return IsNotEmpty_1.IsNotEmpty; } });
var AbstractRef_1 = require("./lib/AbstractRef");
Object.defineProperty(exports, "AbstractRef", { enumerable: true, get: function () { return AbstractRef_1.AbstractRef; } });
var AbstractRegistry_1 = require("./lib/registry/AbstractRegistry");
Object.defineProperty(exports, "AbstractRegistry", { enumerable: true, get: function () { return AbstractRegistry_1.AbstractRegistry; } });
var AnnotationsHelper_1 = require("./lib/AnnotationsHelper");
Object.defineProperty(exports, "AnnotationsHelper", { enumerable: true, get: function () { return AnnotationsHelper_1.AnnotationsHelper; } });
var ClassRef_1 = require("./lib/ClassRef");
Object.defineProperty(exports, "ClassRef", { enumerable: true, get: function () { return ClassRef_1.ClassRef; } });
__exportStar(require("./lib/Constants"), exports);
var DataContainer_1 = require("./lib/DataContainer");
Object.defineProperty(exports, "DataContainer", { enumerable: true, get: function () { return DataContainer_1.DataContainer; } });
var Constants_1 = require("./lib/json-schema/Constants");
Object.defineProperty(exports, "DRAFT_07", { enumerable: true, get: function () { return Constants_1.DRAFT_07; } });
var JsonSchema_1 = require("./lib/json-schema/JsonSchema");
Object.defineProperty(exports, "JsonSchema", { enumerable: true, get: function () { return JsonSchema_1.JsonSchema; } });
var JsonSchema7_1 = require("./lib/json-schema/JsonSchema7");
Object.defineProperty(exports, "hasClassInDefinition", { enumerable: true, get: function () { return JsonSchema7_1.hasClassInDefinition; } });
Object.defineProperty(exports, "hasClassPropertiesInDefinition", { enumerable: true, get: function () { return JsonSchema7_1.hasClassPropertiesInDefinition; } });
Object.defineProperty(exports, "JSON_SCHEMA_7_TYPES", { enumerable: true, get: function () { return JsonSchema7_1.JSON_SCHEMA_7_TYPES; } });
var JsonSchema7Serializer_1 = require("./lib/json-schema/JsonSchema7Serializer");
Object.defineProperty(exports, "JsonSchema7Serializer", { enumerable: true, get: function () { return JsonSchema7Serializer_1.JsonSchema7Serializer; } });
var JsonSchema7Unserializer_1 = require("./lib/json-schema/JsonSchema7Unserializer");
Object.defineProperty(exports, "JsonSchema7Unserializer", { enumerable: true, get: function () { return JsonSchema7Unserializer_1.JsonSchema7Unserializer; } });
var LookupRegistry_1 = require("./lib/LookupRegistry");
Object.defineProperty(exports, "LookupRegistry", { enumerable: true, get: function () { return LookupRegistry_1.LookupRegistry; } });
var DefaultEntityRef_1 = require("./lib/registry/DefaultEntityRef");
Object.defineProperty(exports, "DefaultEntityRef", { enumerable: true, get: function () { return DefaultEntityRef_1.DefaultEntityRef; } });
var DefaultNamespacedRegistry_1 = require("./lib/registry/DefaultNamespacedRegistry");
Object.defineProperty(exports, "DefaultNamespacedRegistry", { enumerable: true, get: function () { return DefaultNamespacedRegistry_1.DefaultNamespacedRegistry; } });
var DefaultPropertyRef_1 = require("./lib/registry/DefaultPropertyRef");
Object.defineProperty(exports, "DefaultPropertyRef", { enumerable: true, get: function () { return DefaultPropertyRef_1.DefaultPropertyRef; } });
var MetadataRegistry_1 = require("./lib/registry/MetadataRegistry");
Object.defineProperty(exports, "MetadataRegistry", { enumerable: true, get: function () { return MetadataRegistry_1.MetadataRegistry; } });
var RegistryFactory_1 = require("./lib/registry/RegistryFactory");
Object.defineProperty(exports, "RegistryFactory", { enumerable: true, get: function () { return RegistryFactory_1.RegistryFactory; } });
var Binding_1 = require("./lib/registry/Binding");
Object.defineProperty(exports, "Binding", { enumerable: true, get: function () { return Binding_1.Binding; } });
var SchemaRef_1 = require("./lib/SchemaRef");
Object.defineProperty(exports, "SchemaRef", { enumerable: true, get: function () { return SchemaRef_1.SchemaRef; } });
var SchemaUtils_1 = require("./lib/SchemaUtils");
Object.defineProperty(exports, "SchemaUtils", { enumerable: true, get: function () { return SchemaUtils_1.SchemaUtils; } });
var DefaultValidator_1 = require("./lib/validation/DefaultValidator");
Object.defineProperty(exports, "DefaultValidator", { enumerable: true, get: function () { return DefaultValidator_1.DefaultValidator; } });
var Validator_1 = require("./lib/validation/Validator");
Object.defineProperty(exports, "Validator", { enumerable: true, get: function () { return Validator_1.Validator; } });
var functions_1 = require("./lib/functions");
Object.defineProperty(exports, "getClassName", { enumerable: true, get: function () { return functions_1.getClassName; } });
//# sourceMappingURL=browser.js.map