"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Namespace = Namespace;
const Constants_1 = require("../lib/Constants");
const MetadataRegistry_1 = require("../lib/registry/MetadataRegistry");
function Namespace(ns) {
    return function (object) {
        const options = {
            target: object,
            targetTypes: [
                Constants_1.METATYPE_ENTITY,
                Constants_1.METATYPE_CLASS_REF,
                Constants_1.METATYPE_EMBEDDABLE
            ],
            attributes: {
                namespace: ns
            }
        };
        MetadataRegistry_1.MetadataRegistry.$().add(Constants_1.METATYPE_NAMESPACE, options, false);
    };
}
//# sourceMappingURL=Namespace.js.map