import { AbstractRef } from './AbstractRef';
import { ISchemaOptions } from './options/ISchemaOptions';
import { METADATA_TYPE } from './Constants';
import { IClassRef } from '../api/IClassRef';
import { ISchemaRef } from '../api/ISchemaRef';
import { IEntityRef } from '../api/IEntityRef';
export declare class SchemaRef extends AbstractRef implements ISchemaRef {
    constructor(options?: ISchemaOptions);
    id(): string;
    getRegistry(): import("..").ILookupRegistry;
    getClassRefFor(object: string | Function | IClassRef, type: METADATA_TYPE): IClassRef;
    getEntityRefFor(value: string | Function): IEntityRef;
    getEntityRefs(): IEntityRef[];
}
