"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JSON_SCHEMA_7_TYPES = void 0;
exports.hasClassInDefinition = hasClassInDefinition;
exports.hasClassPropertiesInDefinition = hasClassPropertiesInDefinition;
exports.JSON_SCHEMA_7_TYPES = [
    'string',
    'number',
    'integer',
    'boolean',
    'object',
    'array',
    'null'
];
function hasClassInDefinition(name, def) {
    return def && def.definitions && def.definitions[name];
}
function hasClassPropertiesInDefinition(name, def) {
    return hasClassInDefinition(name, def) && def.definitions[name].properties;
}
//# sourceMappingURL=JsonSchema7.js.map