"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setDefaultArray = setDefaultArray;
exports.getReflectedType = getReflectedType;
const lodash_1 = require("lodash");
const Constants_1 = require("../Constants");
function setDefaultArray(schema) {
    (0, lodash_1.assign)(schema, {
        type: Constants_1.T_ARRAY,
        items: {
            type: Constants_1.T_OBJECT
        }
    });
}
function getReflectedType(clazz, propertyName) {
    return Reflect && Reflect.getMetadata ?
        Reflect.getMetadata(Constants_1.REFLECT_DESIGN_TYPE, clazz, propertyName) : undefined;
}
//# sourceMappingURL=functions.js.map