"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportsSerialize = supportsSerialize;
exports.supportsUnserialize = supportsUnserialize;
exports.supportsSerialization = supportsSerialization;
function supportsSerialize(x) {
    if (x.serialize) {
        return true;
    }
    return false;
}
function supportsUnserialize(x) {
    if (x.unserialize) {
        return true;
    }
    return false;
}
function supportsSerialization(x) {
    if (supportsSerialize(x) && supportsUnserialize(x)) {
        return true;
    }
    return false;
}
//# sourceMappingURL=ISerializeSupport.js.map