"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFINED_PROPS_TO_OPTS = exports.K_ENTITY_BUILT = exports.DEFAULT_KEY_TO_SKIP = exports.K_TRIGGERED = exports.K_PATTERN_PROPERTY = exports.STATE_KEY = exports.OPT_CREAT_AND_COPY = exports.__NS__ = exports.__CLASS__ = exports.C_PROP_NAME = exports.T_BOOLEAN = exports.T_OBJECT = exports.T_ARRAY = exports.T_STRING = exports.C_EVENT_DRAIN_FINISHED = exports.C_EVENT_UPDATE = exports.C_EVENT_REMOVE = exports.C_EVENT_ADD = exports.JS_PRIMATIVE_TYPES = exports.JS_DATA_TYPES = exports.XS_ANNOTATION_OPTIONS_CACHE = exports.METADATA_REGISTRY = exports.XS_DEFAULT_SCHEMA = exports.XS_ID_SEPARATOR = exports.BINDING_SCHEMA_CLASS_REF = exports.BINDING_SCHEMA_ENTITY = exports.METATYPE_EMBEDDABLE = exports.METATYPE_PROPERTY = exports.METATYPE_CLASS_REF = exports.METATYPE_NAMESPACE = exports.METATYPE_ENTITY = exports.METATYPE_SCHEMA = exports.REFLECT_DESIGN_TYPE = exports.XS_DEFAULT_CLASSES = exports.C_CARDINALITY = exports.C_APPENDED = exports.C_INTERNAL_NAME = exports.C_NAME = exports.C_TYPE = exports.C_IDENTIFIER = exports.GLOBAL_NAMESPACE = exports.DEFAULT_NAMESPACE = void 0;
exports.DEFAULT_NAMESPACE = 'default';
exports.GLOBAL_NAMESPACE = '__global__';
exports.C_IDENTIFIER = 'identifier';
exports.C_TYPE = 'type';
exports.C_NAME = 'name';
exports.C_INTERNAL_NAME = 'internalName';
exports.C_APPENDED = 'appended';
exports.C_CARDINALITY = 'cardinality';
exports.XS_DEFAULT_CLASSES = 'default_class_ref';
exports.REFLECT_DESIGN_TYPE = 'design:type';
exports.METATYPE_SCHEMA = 'schema';
exports.METATYPE_ENTITY = 'entity';
exports.METATYPE_NAMESPACE = 'namespace';
exports.METATYPE_CLASS_REF = 'class_ref';
exports.METATYPE_PROPERTY = 'property';
exports.METATYPE_EMBEDDABLE = 'object';
exports.BINDING_SCHEMA_ENTITY = 'schema_entity';
exports.BINDING_SCHEMA_CLASS_REF = 'schema_class_ref';
exports.XS_ID_SEPARATOR = '--';
exports.XS_DEFAULT_SCHEMA = 'default';
exports.METADATA_REGISTRY = 'metadata/registry';
exports.XS_ANNOTATION_OPTIONS_CACHE = 'anno_options_cache';
// export const XS_ANNOTATION_OPTIONS_CACHE = 'anno_options_cache';
exports.JS_DATA_TYPES = [
    'string',
    'text',
    'number',
    'boolean',
    'double',
    'json',
    'date',
    'time',
    'datetime',
    'timestamp',
    'byte',
    'object',
    'symbol',
    'null',
    'undefined',
    'bigint'
];
exports.JS_PRIMATIVE_TYPES = [
    'string',
    'number',
    'boolean',
    'object',
    'symbol',
    'date',
    'null',
    'undefined',
    'bigint'
];
exports.C_EVENT_ADD = 'add';
exports.C_EVENT_REMOVE = 'remove';
exports.C_EVENT_UPDATE = 'update';
exports.C_EVENT_DRAIN_FINISHED = 'drain_finished';
exports.T_STRING = 'string';
exports.T_ARRAY = 'array';
exports.T_OBJECT = 'object';
exports.T_BOOLEAN = 'boolean';
exports.C_PROP_NAME = 'name';
exports.__CLASS__ = '__CLASS__';
exports.__NS__ = '__NS__';
exports.OPT_CREAT_AND_COPY = 'createAndCopy';
exports.STATE_KEY = '$state';
exports.K_PATTERN_PROPERTY = 'patternProperty';
exports.K_TRIGGERED = Symbol('_triggered_');
exports.DEFAULT_KEY_TO_SKIP = [exports.C_TYPE, '$ref', 'target', 'propertyName', 'metaType', 'namespace', exports.C_NAME];
/**
 * Entity option signals that entity is generate by an other
 */
exports.K_ENTITY_BUILT = '_built_';
exports.DEFINED_PROPS_TO_OPTS = [exports.K_ENTITY_BUILT];
//# sourceMappingURL=Constants.js.map