"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClassName = getClassName;
const IClassRef_1 = require("../api/IClassRef");
const IEntityRef_1 = require("../api/IEntityRef");
const base_1 = require("@allgemein/base");
function getClassName(klass) {
    if ((0, IEntityRef_1.isEntityRef)(klass)) {
        return klass.getClassRef().name;
    }
    else if ((0, IClassRef_1.isClassRef)(klass)) {
        return klass.name;
    }
    else {
        return base_1.ClassUtils.getClassName(klass);
    }
}
//# sourceMappingURL=functions.js.map