import { ISerializerFactory } from './ISerializerFactory';
export declare class SerializerRegistry {
    static serializer: {
        [k: string]: ISerializerFactory;
    };
    static register(factory: ISerializerFactory): void;
    static get(name: string): ISerializerFactory;
}
