import { IClassRef } from '../../api/IClassRef';
import { IEntityRef } from '../../api/IEntityRef';
import { IValidationError } from './IValidationError';
import { IValidator } from './IValidator';
import { IValidatorEntry } from './IValidatorEntry';
export declare class DefaultValidator {
    private static validators;
    private static lookupKeys;
    static define(validator: IValidator): void;
    static validationInfo(ref: Function | IClassRef | IEntityRef): Promise<IValidatorEntry[]>;
    static validate(instance: any, ref?: IClassRef | IEntityRef): Promise<IValidationError[]>;
    static getValidationHandlesForFn(fn: Function): IValidatorEntry[];
    private static extractValidationInfox;
}
